Index: /trunk/src/lib/shell/shell.h
===================================================================
--- /trunk/src/lib/shell/shell.h	(revision 5196)
+++ /trunk/src/lib/shell/shell.h	(revision 5197)
@@ -42,4 +42,5 @@
     void activate();
     void deactivate();
+    /** @returns true if the Shell is active, false otherwise. */
     inline bool isActive() const { return this->bActive; };
 
@@ -82,5 +83,5 @@
 
     // HANDLING TEXT INPUT
-    ShellInput*              shellInput;
+    ShellInput*              shellInput;             //!< The inputLine of the Shell.
     // BUFFER
     unsigned int             bufferDisplaySize;      //!< The Size of the Display-buffer, in lines (not in characters)
Index: /trunk/src/lib/shell/shell_command.cc
===================================================================
--- /trunk/src/lib/shell/shell_command.cc	(revision 5196)
+++ /trunk/src/lib/shell/shell_command.cc	(revision 5197)
@@ -61,4 +61,10 @@
 }
 
+/**
+ * collects the Commands registered to some class.
+ * @param className the name of the Class to collect the Commands from.
+ * @param stringList a List to paste the Commands into.
+ * @returns true on success, false otherwise
+ */
 bool ShellCommandClass::getCommandListOfClass(const char* className, tList<const char>* stringList)
 {
@@ -88,4 +94,9 @@
 }
 
+/**
+ * collects the Aliases registered to the ShellCommands
+ * @param stringList a List to paste the Aliases into.
+ * @returns true on success, false otherwise
+ */
 bool ShellCommandClass::getCommandListOfAlias(tList<const char>* stringList)
 {
@@ -104,5 +115,4 @@
 }
 
-
 /**
  * unregisters all Commands that exist
@@ -127,17 +137,22 @@
   if (ShellCommandClass::aliasList != NULL)
   {
-   tIterator<ShellCommandAlias>* itAL = ShellCommandClass::aliasList->getIterator();
-   ShellCommandAlias* elemAL = itAL->firstElement();
-   while(elemAL != NULL)
-   {
-     delete elemAL;
-     elemAL = itAL->nextElement();
-   }
-   delete itAL;
-   delete ShellCommandClass::aliasList;
-   ShellCommandClass::aliasList = NULL;
-  }
-}
-
+    tIterator<ShellCommandAlias>* itAL = ShellCommandClass::aliasList->getIterator();
+    ShellCommandAlias* elemAL = itAL->firstElement();
+    while(elemAL != NULL)
+    {
+      delete elemAL;
+      elemAL = itAL->nextElement();
+    }
+    delete itAL;
+    delete ShellCommandClass::aliasList;
+    ShellCommandClass::aliasList = NULL;
+  }
+}
+
+/**
+ * checks if a Class is already registered to the Commands' class-stack
+ * @param className the Name of the Class to check for
+ * @returns the CommandClass if found, NULL otherwise
+ */
 const ShellCommandClass* ShellCommandClass::isRegistered(const char* className)
 {
@@ -468,4 +483,9 @@
 }
 
+/**
+ * adds an Alias to this Command
+ * @param alias the name of the Alias to set
+ * @returns itself
+ */
 ShellCommandBase* ShellCommandBase::setAlias(const char* alias)
 {
Index: /trunk/src/lib/shell/shell_command.h
===================================================================
--- /trunk/src/lib/shell/shell_command.h	(revision 5196)
+++ /trunk/src/lib/shell/shell_command.h	(revision 5197)
@@ -51,4 +51,5 @@
 
   public:
+    /** @returns the CommandClassList */
     static const tList<ShellCommandClass>* getCommandClassList() { return ShellCommandClass::commandClassList; };
     static bool getCommandListOfClass(const char* className, tList<const char>* stringList);
@@ -317,19 +318,22 @@
 };
 
+//! A Class, that handles aliases.
 class ShellCommandAlias
 {
   friend class ShellCommandBase;
   public:
+    /** @returns the Name of the Alias. */
     const char* getName() const { return this->aliasName; };
+    /** @returns the Command, this Alias is asociated with */
     ShellCommandBase* getCommand() const { return this->command; };
 
   private:
+    /** @param aliasName the name of the Alias @param command the Command, to associate this alias with */
     ShellCommandAlias(const char* aliasName, ShellCommandBase* command) { this->aliasName = aliasName; this->command = command; };
 
   private:
-    const char*         aliasName;
-    ShellCommandBase*   command;
+    const char*         aliasName;       //!< the name of the Alias
+    ShellCommandBase*   command;         //!< a pointer to the command, this alias executes.
 };
 
-
 #endif /* _SHELL_COMMAND_H */
Index: /trunk/src/lib/shell/shell_completion.cc
===================================================================
--- /trunk/src/lib/shell/shell_completion.cc	(revision 5196)
+++ /trunk/src/lib/shell/shell_completion.cc	(revision 5197)
@@ -202,4 +202,5 @@
  * completes a Function
  * @param functionBegin the beginning of the function String
+ * @param classID the class' ID to complete the function of
  */
 bool ShellCompletion::functionComplete(const char* functionBegin, long classID)
@@ -215,4 +216,9 @@
 }
 
+/**
+ * completes an Alias
+ * @param aliasBegin the beginning of the Alias-String to complete
+ * @returns true on succes, false if something went wrong
+ */
 bool ShellCompletion::aliasComplete(const char* aliasBegin)
 {
@@ -352,5 +358,9 @@
 }
 
-
+/**
+ * deletes the Completion List.
+ *
+ * This is done at the beginning of each completion-run
+ */
 void ShellCompletion::emptyCompletionList()
 {
Index: /trunk/src/lib/shell/shell_completion.h
===================================================================
--- /trunk/src/lib/shell/shell_completion.h	(revision 5196)
+++ /trunk/src/lib/shell/shell_completion.h	(revision 5197)
@@ -15,4 +15,5 @@
 #endif
 
+//! an enumerator for different types the Shell can complete.
 typedef enum {
   SHELLC_NONE        = 0,
@@ -23,7 +24,8 @@
 } SHELLC_TYPE;
 
+//! A struct for ShellElements (these are used as containers to identify an Input for what it is)
 struct ShellC_Element{
-  const char*     name;     //!<
-  SHELLC_TYPE     type;
+  const char*     name;     //!< the Name of the Element to be completed.
+  SHELLC_TYPE     type;     //!< the type of the Element
 };
 
@@ -37,9 +39,9 @@
   bool autoComplete(ShellInput* input = NULL);
   bool classComplete(const char* classBegin);
-  long classMatch(const char* input, unsigned int* length);
+//  long classMatch(const char* input, unsigned int* length);
   bool objectComplete(const char* objectBegin, long classID);
-  bool objectMatch(const char* objectBegin, long classID, unsigned int* length);
+//  bool objectMatch(const char* objectBegin, long classID, unsigned int* length);
   bool functionComplete(const char* functionBegin, long classID);
-  bool functionMatch(const char* functionBegin, long classID, unsigned int* length);
+//  bool functionMatch(const char* functionBegin, long classID, unsigned int* length);
   bool aliasComplete(const char* aliasBegin);
 
@@ -52,5 +54,5 @@
  private:
    tList<ShellC_Element>*   completionList;          //!< A list of completions, that are io.
-   ShellInput*              input;
+   ShellInput*              input;                   //!< the input this completion works on.
 };
 
Index: /trunk/src/lib/shell/shell_input.cc
===================================================================
--- /trunk/src/lib/shell/shell_input.cc	(revision 5196)
+++ /trunk/src/lib/shell/shell_input.cc	(revision 5197)
@@ -182,4 +182,8 @@
 }
 
+/**
+ * ticks the ShellInput
+ * @param dt the time passed since the last update
+ */
 void ShellInput::tick(float dt)
 {