Index: /trunk/src/lib/graphics/text_engine.cc
===================================================================
--- /trunk/src/lib/graphics/text_engine.cc	(revision 5207)
+++ /trunk/src/lib/graphics/text_engine.cc	(revision 5208)
@@ -104,5 +104,5 @@
 
   tmpFont = (Font*)ResourceManager::getInstance()->load(fontFile, TTF, RP_GAME, &fontSize);
-  if (!tmpFont)
+  if (tmpFont == NULL)
   {
     PRINTF(2)("Font %s could not be loaded, probably file not found\n", fontFile);
Index: /trunk/src/lib/shell/shell.cc
===================================================================
--- /trunk/src/lib/shell/shell.cc	(revision 5207)
+++ /trunk/src/lib/shell/shell.cc	(revision 5208)
@@ -41,4 +41,6 @@
     ->describe("Deactivates the Shell. (moves it into background)")
     ->setAlias("hide");
+SHELL_COMMAND(textsize, Shell, setTextSize)
+    ->describe("Sets the size of the Text (size, linespacing)");
 
 /**
@@ -57,5 +59,5 @@
   this->setAbsCoor2D(3, -400);
   this->textSize = 15;
-  this->lineSpacing = 5;
+  this->lineSpacing = 0;
   this->bActive = false;
 
@@ -72,5 +74,4 @@
   // EVENT-Handler subscription of '`' to all States.
   EventHandler::getInstance()->subscribe(this, ES_ALL, SDLK_BACKQUOTE);
-
 }
 
@@ -139,6 +140,7 @@
   this->textSize = textSize;
   this->lineSpacing = lineSpacing;
-
-  this->rebuildText();
+  this->shellInput->setFont("fonts/dpquake_.ttf", this->textSize);
+
+//  this->rebuildText();
 }
 
@@ -150,8 +152,7 @@
 void Shell::rebuildText()
 {
-  this->shellInput->setFont("fonts/Aniron_Bold.ttf", this->textSize);
+  this->shellInput->setFont("fonts/dpquake_.ttf", this->textSize);
   this->shellInput->setColor(1, 0, 0);
   this->shellInput->setAlignment(TEXT_ALIGN_LEFT);
-  this->shellInput->setText(NULL);
   this->shellInput->setParent2D(this);
   this->shellInput->setRelCoor2D(5, (this->textSize + this->lineSpacing)*this->bufferDisplaySize + this->textSize);
@@ -176,5 +177,5 @@
   for (unsigned int i = 0; i < bufferDisplaySize; i++)
   {
-    this->bufferText[i] = TextEngine::getInstance()->createText("fonts/Aniron_Bold.ttf", this->textSize, TEXT_RENDER_DYNAMIC);
+    this->bufferText[i] = TextEngine::getInstance()->createText("fonts/dpquake_.ttf", this->textSize, TEXT_RENDER_DYNAMIC);
     this->bufferText[i]->setColor(1, 0, 0);
     this->bufferText[i]->setAlignment(TEXT_ALIGN_LEFT);
Index: /trunk/src/lib/shell/shell.h
===================================================================
--- /trunk/src/lib/shell/shell.h	(revision 5207)
+++ /trunk/src/lib/shell/shell.h	(revision 5208)
@@ -4,4 +4,5 @@
  *
  * @todo check for smooth deletion process
+ * @todo Buffer Display in different Colors for different debug mode.
  */
 
@@ -78,4 +79,5 @@
     unsigned int             lineSpacing;            //!< The Spacing between lines.
     unsigned int             textSize;               //!< The size of the text.
+    char*                    textFont;               //!< The file containing the font.
 
     // HANDLING TEXT INPUT
Index: /trunk/src/lib/shell/shell_input.h
===================================================================
--- /trunk/src/lib/shell/shell_input.h	(revision 5207)
+++ /trunk/src/lib/shell/shell_input.h	(revision 5208)
@@ -2,4 +2,7 @@
  * @file shell_input.h
  * @brief Definition of ...
+ * @todo AutoCompletion should print nice output
+ * @todo move up and down in Buffer
+ * @todo display old shell Commands
 */
 
Index: /trunk/src/orxonox.cc
===================================================================
--- /trunk/src/orxonox.cc	(revision 5207)
+++ /trunk/src/orxonox.cc	(revision 5208)
@@ -196,5 +196,5 @@
   char* icon = ResourceManager::getFullName("pictures/fighter-top-32x32.bmp");
   GraphicsEngine::getInstance()->setWindowName(PACKAGE_NAME " " PACKAGE_VERSION, icon);
-  delete icon;
+  delete[] icon;
   return 0;
 }
Index: /trunk/src/util/loading/game_loader.cc
===================================================================
--- /trunk/src/util/loading/game_loader.cc	(revision 5207)
+++ /trunk/src/util/loading/game_loader.cc	(revision 5208)
@@ -107,5 +107,5 @@
     {
       this->currentCampaign = this->fileToCampaign(campaignName);
-      delete campaignName;
+      delete[] campaignName;
     }
 //   World* world0 = new World(DEBUG_WORLD_0);
Index: /trunk/src/util/resource_manager.cc
===================================================================
--- /trunk/src/util/resource_manager.cc	(revision 5207)
+++ /trunk/src/util/resource_manager.cc	(revision 5208)
@@ -96,5 +96,5 @@
   if (isDir(realDir))
     {
-      delete this->dataDir;
+      delete[] this->dataDir;
       this->dataDir = new char[strlen(realDir)+1];
       strcpy(this->dataDir, realDir);
@@ -126,5 +126,5 @@
   sprintf(testFile, "%s%s", this->dataDir, fileInside);
   retVal = isFile(testFile);
-  delete testFile;
+  delete[] testFile;
   return retVal;
 }
@@ -382,4 +382,5 @@
     {
       PRINTF(2)("Resource %s could not be loaded\n", fileName);
+      delete[] tmpResource->name;
       delete tmpResource;
       return NULL;
@@ -456,5 +457,5 @@
           // deleting the List Entry:
           PRINTF(4)("Resource %s safely removed.\n", resource->name);
-          delete []resource->name;
+          delete[] resource->name;
           this->resourceList->remove(resource);
         }
@@ -625,5 +626,5 @@
       else
         {
-          delete tmpDirName;
+          delete[] tmpDirName;
           return false;
         }
@@ -653,10 +654,10 @@
                             ))
         {
-          delete tmpFileName;
+          delete[] tmpFileName;
           return true;
         }
       else
         {
-          delete tmpFileName;
+          delete[] tmpFileName;
           return false;
         }
@@ -664,5 +665,5 @@
   else
     {
-      delete tmpFileName;
+      delete[] tmpFileName;
       return false;
     }
@@ -682,9 +683,10 @@
     {
       PRINTF(1)("could not open %s fro writing\n", fileName);
+      delete[] tmpName;
       return false;
     }
   fclose(stream);
 
-  delete tmpName;
+  delete[] tmpName;
 }
 
@@ -699,5 +701,5 @@
   char* tmpName = ResourceManager::homeDirCheck(fileName);
   unlink(tmpName);
-  delete tmpName;
+  delete[] tmpName;
 }
 
@@ -748,5 +750,5 @@
   else
     {
-      delete retName;
+      delete[] retName;
       return NULL;
     }
Index: /trunk/src/world_entities/weapons/weapon_manager.cc
===================================================================
--- /trunk/src/world_entities/weapons/weapon_manager.cc	(revision 5207)
+++ /trunk/src/world_entities/weapons/weapon_manager.cc	(revision 5208)
@@ -90,5 +90,5 @@
     }
     this->currentSlotConfig[i].position.setName(tmpName);
-    delete tmpName;
+    delete[] tmpName;
   }
 
Index: /trunk/src/world_entities/world_entity.cc
===================================================================
--- /trunk/src/world_entities/world_entity.cc	(revision 5207)
+++ /trunk/src/world_entities/world_entity.cc	(revision 5208)
@@ -19,4 +19,5 @@
 
 #include "world_entity.h"
+#include "shell_command.h"
 
 #include "resource_manager.h"
@@ -27,4 +28,9 @@
 
 using namespace std;
+
+SHELL_COMMAND(model, WorldEntity, loadModel)
+    ->describe("sets the Model of the WorldEntity")
+    ->defaultValues(1, "models/ships/reaplow.obj");
+
 
 /**