Index: /trunk/src/lib/coord/p_node.cc
===================================================================
--- /trunk/src/lib/coord/p_node.cc	(revision 5210)
+++ /trunk/src/lib/coord/p_node.cc	(revision 5211)
@@ -104,4 +104,5 @@
 {
   this->setClassID(CL_PARENT_NODE, "PNode");
+
   this->children = new tList<PNode>();
   this->bRelCoorChanged = true;
Index: /trunk/src/lib/graphics/importer/model.cc
===================================================================
--- /trunk/src/lib/graphics/importer/model.cc	(revision 5210)
+++ /trunk/src/lib/graphics/importer/model.cc	(revision 5211)
@@ -350,10 +350,11 @@
     delete this->normals;
   if (this->triangles)
-    delete this->triangles;
+    delete[] this->triangles;
 
   this->vertices = NULL;
   this->vTexture = NULL;
   this->normals = NULL;
-  this->triangles = NULL; this->triangleCount = 0;
+  this->triangles = NULL;
+  this->triangleCount = 0;
 }
 
Index: /trunk/src/lib/graphics/importer/texture.cc
===================================================================
--- /trunk/src/lib/graphics/importer/texture.cc	(revision 5210)
+++ /trunk/src/lib/graphics/importer/texture.cc	(revision 5211)
@@ -45,5 +45,5 @@
 Texture::~Texture()
 {
-  if (this->texture)
+  if (this->texture != 0)
     glDeleteTextures(1, &this->texture);
 }
Index: /trunk/src/lib/graphics/light.cc
===================================================================
--- /trunk/src/lib/graphics/light.cc	(revision 5210)
+++ /trunk/src/lib/graphics/light.cc	(revision 5211)
@@ -244,5 +244,5 @@
     if (this->lights[i])
       delete lights[i];
-  delete lights;
+  delete[] lights;
   LightManager::singletonRef = NULL;
 }
Index: /trunk/src/lib/graphics/render2D/element_2d.cc
===================================================================
--- /trunk/src/lib/graphics/render2D/element_2d.cc	(revision 5210)
+++ /trunk/src/lib/graphics/render2D/element_2d.cc	(revision 5211)
@@ -90,4 +90,5 @@
   this->parent = NULL;
   this->children = new tList<Element2D>;
+  this->absDirection = 0.0;
   this->relDirection = 0.0;
   this->bRelCoorChanged = true;
@@ -844,5 +845,4 @@
 NullElement2D::~NullElement2D ()
 {
-  //delete singletonRef;
   NullElement2D::singletonRef = NULL;
 }
Index: /trunk/src/lib/graphics/render2D/element_2d.h
===================================================================
--- /trunk/src/lib/graphics/render2D/element_2d.h	(revision 5210)
+++ /trunk/src/lib/graphics/render2D/element_2d.h	(revision 5211)
@@ -193,5 +193,5 @@
     Vector                  absCoordinate;      //!< absolute coordinates in the world ( from (0,0,0) )
     float                   relDirection;       //!< direction relative to the parent
-    float                   absDirection;       //!< absolute direvtion in the world ( from (0,0,1) )
+    float                   absDirection;       //!< absolute diretion in the world ( from (0,0,1) )
 
     Vector                  prevRelCoordinate;  //!< The last Relative Coordinate from the last update-Cycle.
Index: /trunk/src/lib/math/curve.cc
===================================================================
--- /trunk/src/lib/math/curve.cc	(revision 5210)
+++ /trunk/src/lib/math/curve.cc	(revision 5211)
@@ -1,3 +1,3 @@
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -13,12 +13,12 @@
    co-programmer: Patrick Boenzli
 
-   ADD: Patrick Boenzli           B-Spline 
-
-
-   TODO: 
+   ADD: Patrick Boenzli           B-Spline
+
+
+   TODO:
      local-Time implementation
      NURBS
      tList implementation
-     
+
 */
 
@@ -33,5 +33,5 @@
 
 
-/** 
+/**
   *  default constructor for a Curve
 */
@@ -71,5 +71,4 @@
 void Curve::addNode(const Vector& newNode, unsigned int insertPosition)
 {
-
   if (this->nodeCount == 0 || insertPosition > this->nodeCount)
     return addNode(newNode);
@@ -85,5 +84,5 @@
     {
       while (tmpNode->next->number != insertPosition)
-	tmpNode= tmpNode->next;
+        tmpNode= tmpNode->next;
       insNode->next = tmpNode->next;
       tmpNode->next = insNode;
@@ -199,8 +198,8 @@
       tmpNode->factor = binCoef;
       if (tmpNode =tmpNode->next)
-	{
-	  binCoef *=(n-k)/(k+1);
-	  ++k;
-	}
+        {
+          binCoef *=(n-k)/(k+1);
+          ++k;
+        }
     }
 
@@ -212,13 +211,13 @@
       dirCurve = new BezierCurve(1);
       while(tmpNode->next)
-	{
-	  Vector tmpVector = (tmpNode->next->position)- (tmpNode->position);
-	  tmpVector.x*=(float)nodeCount;
-	  tmpVector.y*=(float)nodeCount;
-	  tmpVector.z*=(float)nodeCount;
-	  tmpVector.normalize();
-	  this->dirCurve->addNode(tmpVector);
-	  tmpNode = tmpNode->next;
-	}
+        {
+          Vector tmpVector = (tmpNode->next->position)- (tmpNode->position);
+          tmpVector.x*=(float)nodeCount;
+          tmpVector.y*=(float)nodeCount;
+          tmpVector.z*=(float)nodeCount;
+          tmpVector.normalize();
+          this->dirCurve->addNode(tmpVector);
+          tmpNode = tmpNode->next;
+        }
     }
 }
@@ -229,5 +228,5 @@
  * @return the Position on the Path
 */
-Vector BezierCurve::calcPos(float t) 
+Vector BezierCurve::calcPos(float t)
 {
   Vector ret = Vector(0.0,0.0,0.0);
@@ -237,12 +236,12 @@
       double factor = pow(1.0-t,nodeCount-1);
       while(tmpNode)
-	{
-	  ret.x += tmpNode->factor * factor * tmpNode->position.x;
-	  ret.y += tmpNode->factor * factor * tmpNode->position.y;
-	  ret.z += tmpNode->factor * factor * tmpNode->position.z;
-	  factor *= t/(1.0-t); // same as pow but much faster.
-	  
-	  tmpNode = tmpNode->next;
-	}
+        {
+          ret.x += tmpNode->factor * factor * tmpNode->position.x;
+          ret.y += tmpNode->factor * factor * tmpNode->position.y;
+          ret.z += tmpNode->factor * factor * tmpNode->position.z;
+          factor *= t/(1.0-t); // same as pow but much faster.
+
+          tmpNode = tmpNode->next;
+        }
     }
   else if (nodeCount == 2)
Index: /trunk/src/lib/physics/physics_engine.cc
===================================================================
--- /trunk/src/lib/physics/physics_engine.cc	(revision 5210)
+++ /trunk/src/lib/physics/physics_engine.cc	(revision 5211)
@@ -58,5 +58,5 @@
   }
   delete itPC;
-   delete this->connections;
+  delete this->connections;
 //
 //   // delete all PhysicsInterfaces, still in existence (this could be dangerous)
Index: /trunk/src/lib/util/list.h
===================================================================
--- /trunk/src/lib/util/list.h	(revision 5210)
+++ /trunk/src/lib/util/list.h	(revision 5211)
@@ -82,5 +82,5 @@
     {
       listElement<T>* le = this->currentEl->next;
-      //delete this->currentEl->curr;
+      //delete this->currentEl->curr;  //! THIS IS EXTREMELY UNSAFE (the list only stores pointers not instances) //
       delete this->currentEl;
       this->currentEl = le;
Index: /trunk/src/story_entities/campaign.cc
===================================================================
--- /trunk/src/story_entities/campaign.cc	(revision 5210)
+++ /trunk/src/story_entities/campaign.cc	(revision 5211)
@@ -161,4 +161,5 @@
     }
     delete this->entities;
+    delete it;
 }
 
Index: /trunk/src/story_entities/world.cc
===================================================================
--- /trunk/src/story_entities/world.cc	(revision 5210)
+++ /trunk/src/story_entities/world.cc	(revision 5211)
@@ -165,7 +165,9 @@
   this->setName(name);
   this->debugWorldNr = worldID;
-
+  this->gameTime = 0.0f;
   this->setSpeed(1.0);
   this->music = NULL;
+  this->shell = NULL;
+  this->entities = NULL;
 }
 
@@ -259,19 +261,13 @@
   // load the parameters
   // name
-  char* temp;
   const char* string = grabParameter( root, "name");
   if( string == NULL)
     {
       PRINTF(2)("World is missing a proper 'name'\n");
-      string = "Unknown";
-      temp = new char[strlen(string)+1];
-      strcpy( temp, string);
-      this->setName(temp);
+      this->setName("Unknown");
     }
   else
     {
-      temp = new char[strlen(string )+1];
-      strcpy( temp, string);
-      this->setName(temp);
+      this->setName(string);
     }
 
@@ -478,6 +474,6 @@
   ClassList::debug();
 
-  this->music = (OggPlayer*)ResourceManager::getInstance()->load("sound/00-luke_grey_-_hypermode.ogg", OGG, RP_LEVEL);
-  music->playback();
+  this->music = NULL;//(OggPlayer*)ResourceManager::getInstance()->load("sound/00-luke_grey_-_hypermode.ogg", OGG, RP_LEVEL);
+  //music->playback();
 }
 
Index: /trunk/src/util/loading/load_param.cc
===================================================================
--- /trunk/src/util/loading/load_param.cc	(revision 5210)
+++ /trunk/src/util/loading/load_param.cc	(revision 5211)
@@ -133,7 +133,7 @@
   this->types = NULL;
   this->description = NULL;
+  this->defaultValues = NULL;
   this->paramName = new char[strlen(paramName)+1];
   strcpy(this->paramName, paramName);
-  this->defaultValues = NULL;
 }
 
@@ -158,8 +158,8 @@
   }
 
-  delete []this->types;
-  delete []this->defaultValues;
-  delete []this->paramName;
-  delete []this->description;
+  delete[] this->types;
+  delete[] this->defaultValues;
+  delete[] this->paramName;
+  delete[] this->description;
 }
 
Index: /trunk/src/util/resource_manager.cc
===================================================================
--- /trunk/src/util/resource_manager.cc	(revision 5210)
+++ /trunk/src/util/resource_manager.cc	(revision 5211)
@@ -81,6 +81,7 @@
     }
   delete tmpIt;
-
   delete this->imageDirs;
+
+  delete[] this->dataDir;
 
   ResourceManager::singletonRef = NULL;
@@ -356,8 +357,8 @@
                       PRINTF(4)("Image %s resides to %s\n", fileName, imgName);
                       tmpResource->pointer = new Texture(imgName);
-                      delete []imgName;
+                      delete[] imgName;
                       break;
                     }
-                  delete []imgName;
+                  delete[] imgName;
                   tmpDir = iterator->nextElement();
                 }
@@ -375,5 +376,5 @@
       if (tmpResource->pointer)
         this->resourceList->add(tmpResource);
-      delete []fullName;
+      delete[] fullName;
     }
   if (tmpResource->pointer)
@@ -631,5 +632,8 @@
     }
   else
+  {
+    delete[] tmpDirName;
     return false;
+  }
 }
 